### Constructor

# GExiv2 Metadata new

#### Declaration [src]

    GExiv2Metadata*
    gexiv2_metadata_new (
      void
    )

#### Description [src]

Create an empty Metadata object.

To use it, either use the many setter functions to popuplate the data from scratch or use `gexiv2_metadata_open_path()` or `gexiv2_metadata_open_buf()` to populate it from an existing file.

#### Return value

Type: `GExiv2Metadata`

A fully constructed `GExiv2Metadata` ready to be used.

The caller of the function takes ownership of the data, and is responsible for freeing it.